$(document).ready(function() {
    var color = ["#F17105", "#D11149", "#6610F2", "#177CC5", "#92A500"]; // Couleurs
    var col_rd = Math.floor(Math.random() * color.length);

    $( document ).ready(function() {
        // Changement aléatoire de la couleur
        $("header").css("background-color", color[col_rd]);
        $("section.container a").css("background-color", color[col_rd]);
        // $("hr").css("border-color", color[col_rd]);
        $("section.container a").hover(function(){
                $(this).css("background-color", hexToRgbA(color[col_rd], 0.8));
            }, function(){
                $(this).css("background-color", hexToRgbA(color[col_rd], 1));
        });

        // Changement de la couleur pour Google Chrome Mobile
        $('meta[name=theme-color]').remove();
        $('head').append('<meta name="theme-color" content="'+ color[col_rd] +'">');
    });

    function hexToRgbA(hex, opacity = 0) {
        var c;
        if(/^#([A-Fa-f0-9]{3}){1,2}$/.test(hex)){
            c= hex.substring(1).split('');
            if(c.length== 3)
                c= [c[0], c[0], c[1], c[1], c[2], c[2]];
            c= '0x'+c.join('');
            if(opacity > 0)
                return 'rgba('+[(c>>16)&255, (c>>8)&255, c&255].join(', ')+','+opacity+')';
            else
                return 'rgb('+[(c>>16)&255, (c>>8)&255, c&255].join(', ')+')';
        }
        throw new Error('Bad Hex');
    }
});
